alsa-1.0.23

treah blade treah.blade at gmail.com
Sat Nov 27 03:47:31 PST 2010


On Fri, 26 Nov 2010 22:46:33 -0600
Bruce Dubbs <bruce.dubbs at gmail.com> wrote:

> Has anyone tried alsa-1.0.23?
> 
> I built alsa-libs, alsa-plugins, alsa-utils, and alsa-tools, but when I 
> try to use aplay to test it, I get:
> 
> ALSA lib pcm.c:2109:(snd_pcm_open_conf) Cannot open shared library 
> /usr/lib/alsa-lib/libasound_module_pcm_empty.so
> 
> There are several libasound_module_*.so files, but no *pcm_empty.so
> 
> Hardware is a generic "Multimedia audio controller: Intel Corporation 
> 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller"
> 
> An older version of alsa did not have any problem with playing sounds 
> (but I could not get the microphone to work).
> 
> The problem may be that this particular system is using a quite old 
> kernel (2.6.22.5) and it's possible that alsa-1.0.23 is not compatible 
> with the older drivers in that kernel.
> 
> Any other ideas?
> 
>    -- Bruce
> 
> -- 
> http://linuxfromscratch.org/mailman/listinfo/blfs-dev
> FAQ: http://www.linuxfromscratch.org/blfs/faq.html
> Unsubscribe: See the above information page

Tho I am not sure why a kernel driver would be calling a shared library you never know. You could try building the driver from the same series and omit the driver that gets loaded with the kernel as a test to see if that is the issue. 
-- 
treah blade <treah.blade at gmail.com>



More information about the blfs-dev mailing list